extends Bone2D


func _ready() -> void:
	rotate(PI/2.0)
	pass # Replace with function body.


func _print_rect(var node, var r):
	var tr : Transform2D = node.get_global_transform_with_canvas()
	print(node.get_name() + " rect : " + str(r) + ", global " + str(node.get_global_transform().xform(r)) + ", global_with_canvas " + str(tr.xform(r)))
	

# Test rotating bones with Polygon2Ds attached
func _physics_process(delta: float) -> void:
	rotate(PI/8.0)
	rotate(1.0)
	rotate(-1.0)
	
	$head.rotate(PI/8.0)
	
	var head = get_node("../../polys/head")
	
	print("\n")
	_print_rect($Sprite, $Sprite.get_rect())

func _process(delta):
	var head = get_node("../../polys/head")
	var nose = head.get_node("Nose")
	var rid = head.get_canvas_item()
	var rect = VisualServer.debug_canvas_item_get_rect(rid)
	head.get_node("DebugBound").draw_debug_rect(rect)
	
	rid = nose.get_canvas_item()
	rect = VisualServer.debug_canvas_item_get_rect(rid)
	nose.get_node("DebugBound").draw_debug_rect(rect)
	
